> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace Webhook

> Update the specified workspace webhook



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/workspace/webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/webhooks/{webhook_id}:
    patch:
      tags:
        - workspace
      summary: Update Workspace Webhook
      description: Update the specified workspace webhook
      operationId: edit_workspace_webhook_route
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            description: The unique ID for the webhook
            examples:
              - G007vmtq9uWYl7SUW9zGS8GZZa1K
            title: Webhook Id
          description: The unique ID for the webhook
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Update_workspace_webhook_v1_workspace_webhooks__webhook_id__patch
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatchWorkspaceWebhookResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_Update_workspace_webhook_v1_workspace_webhooks__webhook_id__patch:
      properties:
        is_disabled:
          type: boolean
          title: Is Disabled
          description: Whether to disable or enable the webhook
          examples:
            - true
        name:
          type: string
          title: Name
          description: The display name of the webhook (used for display purposes only).
          examples:
            - My Callback Webhook
        retry_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Retry Enabled
          description: >-
            Whether to enable automatic retries for transient failures (5xx,
            429, timeout)
          examples:
            - true
        request_headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Request Headers
          description: >-
            A list of request headers to include with the webhook delivery
            (optional)
        events:
          anyOf:
            - items:
                $ref: '#/components/schemas/WorkspaceWebhookEventType'
              type: array
            - type: 'null'
          title: Events
          description: >-
            The complete set of workspace-level events this webhook should be
            subscribed to. The webhook is added to the events in the list and
            removed from any not in the list. Omit to leave the current event
            subscriptions unchanged.
          examples:
            - - voice_library_removal_notice
              - speech_to_text
      type: object
      required:
        - is_disabled
        - name
      title: Body_Update_workspace_webhook_v1_workspace_webhooks__webhook_id__patch
    PatchWorkspaceWebhookResponseModel:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the workspace webhook patch request. If the request
            was successful, the status will be 'ok'. Otherwise an error message
            with status 500 will be returned.
      type: object
      required:
        - status
      title: PatchWorkspaceWebhookResponseModel
      example:
        status: ok
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceWebhookEventType:
      type: string
      enum:
        - voice_library_removal_notice
        - speech_to_text
        - agent_qa
      title: WorkspaceWebhookEventType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````